Upstream information

CVE-2021-23926 at MITRE

Description

The XML parsers used by XMLBeans up to version 2.6.0 did not set the properties needed to protect the user from malicious XML input. Vulnerabilities include possibilities for XML Entity Expansion attacks. Affects XMLBeans up to and including v2.6.0.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.1 7.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1180915 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.5 xmlbeans Affected
SUSE Enterprise Storage 7 xmlbeans Affected
SUSE Linux Enterprise Desktop 12 SP5 xmlbeans Affected
SUSE Linux Enterprise Desktop 15 SP1 xmlbeans Affected
SUSE Linux Enterprise Desktop 15 SP2 xmlbeans Affected
SUSE Linux Enterprise Desktop 15 SP3 xmlbeans Affected
SUSE Linux Enterprise Desktop 15 SP4 xmlbeans Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 xmlbeans Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS xmlbeans Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS xmlbeans Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 xmlbeans Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 xmlbeans Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 xmlbeans Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 xmlbeans Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 xmlbeans Affected
SUSE Linux Enterprise Real Time 15 SP2 xmlbeans Affected
SUSE Linux Enterprise Server 12 SP5 xmlbeans Affected
SUSE Linux Enterprise Server 15 SP1 xmlbeans Affected
SUSE Linux Enterprise Server 15 SP2 xmlbeans Affected
SUSE Linux Enterprise Server 15 SP2 LTSS xmlbeans Affected
SUSE Linux Enterprise Server 15 SP3 xmlbeans Affected
SUSE Linux Enterprise Server 15 SP4 xmlbeans Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 xmlbeans Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xmlbeans Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 xmlbeans Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 xmlbeans Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 xmlbeans Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 xmlbeans Affected
SUSE Linux Enterprise Storage 7 xmlbeans Affected
SUSE Linux Enterprise Storage 7.1 xmlbeans Affected
SUSE Linux Enterprise Workstation Extension 12 SP5 xmlbeans Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 xmlbeans Affected
SUSE Manager Proxy 4.1 xmlbeans Affected
SUSE Manager Proxy 4.2 xmlbeans Affected
SUSE Manager Proxy 4.3 xmlbeans Affected
SUSE Manager Retail Branch Server 4.1 xmlbeans Affected
SUSE Manager Retail Branch Server 4.2 xmlbeans Affected
SUSE Manager Retail Branch Server 4.3 xmlbeans Affected
SUSE Manager Server 4.1 xmlbeans Affected
SUSE Manager Server 4.2 xmlbeans Affected
SUSE Manager Server 4.3 xmlbeans Affected